zenilib: TInfoSinkBase Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
TInfoSinkBase Class Reference

`#include <InfoSink.h>`

## Public Member Functions

| TInfoSinkBase ()
const char * | c_str () const
void | erase ()
void | location (int file, int line)
void | location (const TSourceLoc &loc)
void | message (TPrefixType p, const TSourceLoc &loc, const char *m)
template<typename T >
TInfoSinkBase & | operator<< (const T &t)
TInfoSinkBase & | operator<< (char c)
TInfoSinkBase & | operator<< (const char *str)
TInfoSinkBase & | operator<< (const TPersistString &str)
TInfoSinkBase & | operator<< (const TString &str)
TInfoSinkBase & | operator<< (float f)
TInfoSinkBase & | operator<< (bool b)
void | prefix (TPrefixType p)
int | size ()
const TPersistString & | str () const

## Detailed Description

Definition at line 38 of file InfoSink.h.

## Constructor & Destructor Documentation

TInfoSinkBase::TInfoSinkBase | ( |  | ) |

inline

Definition at line 40 of file InfoSink.h.

## Member Function Documentation

const char* TInfoSinkBase::c_str | ( |  | ) | const

inline

Definition at line 97 of file InfoSink.h.

Referenced by TOutputGLSLBase::getTypeName(), sh::OutputHLSL::output(), ShGetInfoLog(), and ShGetObjectCode().

void TInfoSinkBase::erase | ( |  | ) |

inline

Definition at line 93 of file InfoSink.h.

Referenced by TCompiler::clearResults().

void TInfoSinkBase::location | ( | int | file,
|  | int | line
| ) |  |

Definition at line 34 of file InfoSink.cpp.

References TPersistStringStream.

Referenced by location(), message(), OutputTreeText(), and TDiagnostics::writeInfo().

void TInfoSinkBase::location | ( | const TSourceLoc & | loc | ) |

Definition at line 45 of file InfoSink.cpp.

References TSourceLoc::first_file, TSourceLoc::first_line, and location().

void TInfoSinkBase::message | ( | TPrefixType | p,
|  | const TSourceLoc & | loc,
|  | const char * | m
| ) |  |

Definition at line 49 of file InfoSink.cpp.

References location(), and prefix().

Referenced by TIntermediate::addConversion(), TIntermediate::addUnaryMath(), TIntermConstantUnion::fold(), TIntermBinary::promote(), TIntermediate::promoteConstantUnion(), and RestrictVertexShaderTiming::visitSymbol().

template<typename T >

TInfoSinkBase& TInfoSinkBase::operator<< | ( | const T & | t | ) |

inline

Definition at line 43 of file InfoSink.h.

References TPersistStringStream.

TInfoSinkBase& TInfoSinkBase::operator<< | ( | char | c | ) |

inline

Definition at line 51 of file InfoSink.h.

TInfoSinkBase& TInfoSinkBase::operator<< | ( | const char * | str | ) |

inline

Definition at line 55 of file InfoSink.h.

TInfoSinkBase& TInfoSinkBase::operator<< | ( | const TPersistString & | str | ) |

inline

Definition at line 59 of file InfoSink.h.

TInfoSinkBase& TInfoSinkBase::operator<< | ( | const TString & | str | ) |

inline

Definition at line 63 of file InfoSink.h.

TInfoSinkBase& TInfoSinkBase::operator<< | ( | float | f | ) |

inline

Definition at line 68 of file InfoSink.h.

References fractionalPart(), and TPersistStringStream.

TInfoSinkBase& TInfoSinkBase::operator<< | ( | bool | b | ) |

inline

Definition at line 87 of file InfoSink.h.

References str().

void TInfoSinkBase::prefix | ( | TPrefixType | p | ) |

Definition at line 9 of file InfoSink.cpp.

References EPrefixError, EPrefixInternalError, EPrefixNone, EPrefixNote, EPrefixUnimplemented, and EPrefixWarning.

Referenced by TCompiler::compile(), TCompiler::detectCallDepth(), message(), and TDiagnostics::writeInfo().

int TInfoSinkBase::size | ( |  | ) |

inline

Definition at line 94 of file InfoSink.h.

Referenced by ShGetInfo().

const TPersistString& TInfoSinkBase::str | ( |  | ) | const

inline

Definition at line 96 of file InfoSink.h.

Referenced by operator<<().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/InfoSink.h
- zenilib/jni/external/angle/src/compiler/InfoSink.cpp